#!/bin/bash

set -eux

KEYSTONE_IP=`juju status keystone/0 | grep public | awk '{ print $2 }'`

cat << EOF > ./nova.rc
export OS_AUTH_URL=http://${KEYSTONE_IP}:5000/v2.0/
export OS_USERNAME=admin
export OS_PASSWORD=admin
export OS_TENANT_NAME=admin
export OS_REGION_NAME=RegionOne
EOF

./openstack.sh
sleep 15

compute_address=$(juju status nova-compute/0 |grep public|awk '{print $2}'|tail -1|nslookup |grep Address|awk '{print $2}'|tail -1)
	sudo ip route replace 10.0.10.0/24 via $compute_address
	sudo iptables -C FORWARD -s 10.0.10.0/24 -j ACCEPT 2> /dev/null || sudo iptables -I FORWARD 1 -s 10.0.10.0/24 -j ACCEPT
	sudo iptables -C FORWARD -d 10.0.10.0/24 -j ACCEPT 2> /dev/null || sudo iptables -I FORWARD 2 -d 10.0.10.0/24 -j ACCEPT
	sudo iptables -t nat -C POSTROUTING -s 10.0.10.0/24 ! -d 10.0.10.0/24 -j MASQUERADE 2> /dev/null || sudo iptables -t nat -A POSTROUTING -s 10.0.10.0/24 ! -d 10.0.10.0/24 -j MASQUERADE

juju scp ./nova.rc nova-cloud-controller/0:~
juju ssh nova-cloud-controller/0 "cat nova.rc >> ./.bashrc"
juju scp "junos-vsrx-12.1-in-network.img" nova-cloud-controller/0:~
juju scp "configure-openstack.sh" nova-cloud-controller/0:~
juju ssh nova-cloud-controller/0 "~/configure-openstack.sh"
