#!/bin/bash


set -e

maas admin tags list | grep landscape || maas admin tags new name=landscape
landscape_id=$(maas admin tag nodes landscape | grep system_id | cut -f4 -d\")
node9_id=$(maas admin nodes list hostname=node9 | grep system_id | cut -f4 -d\")

if [ "$node9_id" == "$landscape_id" ]; then
	echo "node9 already has MAAS tag=landscape"
else
	if [ "$landscape_id" != "" ]; then
		maas admin tag update-nodes landscape remove=$landscape_id
	fi
	maas admin tag update-nodes landscape add=$node9_id
	echo "Added node9 to MAAS tag=landscape"
fi



